Package: groovy.lang

## [Java] Class MetaClassImpl.MetaConstructor

- groovy.lang.MetaClassImpl.MetaConstructor

-     public static final class MetaClassImpl.MetaConstructor
      extends MetaMethod

  This is a helper class which is used only by indy. It is for internal use.

  Since:
    2.1.0

- - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class MetaMethod` | `EMPTY_ARRAY`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public CachedConstructor` | `getCachedConstrcutor()` Returns the cached constructor wrapped by this meta constructor.
    `` | `public CachedClass` | `getDeclaringClass()` Gets the class where this method is declared. Returns: class of this method
    `` | `public int` | `getModifiers()` Returns the modifiers of this method. Returns: modifiers as an int.
    `` | `public String` | `getName()` Returns the name of this method. Returns: name of this method
    `` | `public Class` | `getReturnType()` Returns the return type for this method. Returns: the return type of this method
    `` | `public Object` | `invoke(Object object, Object[] arguments)` Invokes this method. Parameters: `object` - The object this method should be invoked on `arguments` - The arguments for the method if applicable Returns: The return value of the invocation
    `` | `public boolean` | `isBeanConstructor()` Indicates whether this constructor performs Groovy bean-style map population.

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class MetaMethod` | `checkParameters, clone, doMethodInvoke, equal, equal, getDeclaringClass, getDescriptor, getModifiers, getMopName, getName, getReturnType, getSignature, invoke, isAbstract, isCacheable, isDefault, isMethod, isSame, processDoMethodInvokeException, toString`
    `class ParameterTypes` | `coerceArgumentsToClasses, correctArguments, getNativeParameterTypes, getPT, getParameterTypes, isValidExactMethod, isValidExactMethod, isValidMethod, isValidMethod, isVargsMethod, isVargsMethod, setParametersTypes`

- - ### Method Detail

    - #### public CachedConstructor getCachedConstrcutor()

      Returns the cached constructor wrapped by this meta constructor.

      Returns:
        the cached constructor

    - #### public CachedClass getDeclaringClass()

      Gets the class where this method is declared.

      Returns:
        class of this method

    - #### public int getModifiers()

      Returns the modifiers of this method.

      Returns:
        modifiers as an int.

    - #### public String getName()

      Returns the name of this method.

      Returns:
        name of this method

    - #### public Class getReturnType()

      Returns the return type for this method.

      Returns:
        the return type of this method

    - #### public Object invoke(Object object, Object[] arguments)

      Invokes this method.

      Parameters:
        `object` - The object this method should be invoked on
        `arguments` - The arguments for the method if applicable
      Returns:
        The return value of the invocation

    - #### public boolean isBeanConstructor()

      Indicates whether this constructor performs Groovy bean-style map population.

      Returns:
        `true` for bean constructors